@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@100..900&family=Noto+Serif+TC:wght@200..900&display=swap');

/*-------------------- 共用樣式 --------------------*/

:root {
    --basic-txt: #ededed;
    --sub-txt: #333333;
    --light-cu: #e6bca0;
    --main-cu: #876f5f;
    --light-gd: #dfbf57;
    --main-gd: #a88514;
    --b-round: 1rem;
    --content-p: calc(3vw + 42px);
    --col-p: clamp(8px, 1vw + 2px, 15px);
    --transition-com: all 0.25s ease;
}

/* 手機板才會折行 */
.br-s {
    display: inline-block;
}

@media screen and (min-width: 768px) {
    .br-s {
        display: none;
    }
}

/*-- 按鈕 --*/

.btn {
    position: relative;
    font-size: max(1rem, 16px);
    line-height: 1.1;
    padding: 0.5rem 1rem;
    white-space: nowrap;
    font-weight: 600;
    overflow: hidden;
    border-radius: 500px;
    z-index: 999;
    box-shadow: 3px 4px 0 black;
    transition: var(--transition-com);
    z-index: 100;
}

.btn::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
    bottom: auto;
    left: 0;
    right: auto;
    width: 150%;
    height: 120%;
    background-color: black;
    transform-origin: 120% bottom;
    transform: rotate(-45deg);
    transition: var(--transition-com);
}

.btn:hover::before {
    transform: rotate(0deg);
}

.go-btn,
.go-btn:link,
.go-btn:visited,
.go-btn:hover,
.go-btn:active {
    color: #fff;
    background-color: var(--main-red);
    border: 2px solid black;
}

.go-btn:hover {
    box-shadow: 0 0 0 black;
}

.btn>span {
    position: relative;
    display: inline-block;
    font-size: inherit;
    line-height: inherit;
    font-weight: inherit;
    z-index: 100;
}

.btn>span::after {
    content: "\eaaa";
    font-family: "Material Symbols Outlined";
    font-size: 120%;
    font-weight: 400;
    margin-left: 0.3rem;
    vertical-align: sub;
    margin-right: 0;
    transition: var(--transition-com);
    font-variation-settings:
        "FILL" 1,
        "wght" 400,
        "GRAD" 0,
        "opsz" 24;
}

.btn:hover>span::after {
    margin-left: 0.8rem;
}

.btn .small::after {
    display: none;
}

.btn-lg {
    font-size: 1.25rem;
    font-weight: 600;
    padding: 0.8rem 1.85rem;
    box-shadow: 4px 6px 0 black;
}

.btn-sec {
    padding-top: 1rem;
    padding-bottom: 1rem;
    margin-bottom: 0;
    text-align: center;
}

/*-------------------- 共用樣式 END --------------------*/

/*-------------------- 全頁 --------------------*/

#wrapper {
    position: relative;
    width: 100%;
    min-width: 100%;
    overflow-x: hidden;
}

#wrapper section {
    padding: var(--content-p) var(--col-p);
}

/*-- 標題字級 --*/

h1 {
    font-family: 'Noto Serif TC', serif;
    position: relative;
    color: white;
    text-shadow: 0 0 10px var(--light-gd), 0 0 25px var(--light-gd);
    font-weight: 400;
    white-space: nowrap;
    letter-spacing: 0.3rem;
    text-align: center;
    margin-bottom: 1rem;
    z-index: 100;
}

h2 {
    font-family: 'Noto Serif TC', serif;
    position: relative;
    color: var(--light-cu);
    font-weight: 600;
    white-space: nowrap;
    letter-spacing: 0.05rem;
    text-align: center;
    z-index: 100;
}

/*-------------------- 全頁 END --------------------*/

/*-------------------- 主視覺 --------------------*/

#main_top>h1 {
    display: block;
    max-width: 0;
    max-height: 0;
    overflow: hidden;
    line-height: 0;
    font-size: 1px;
    padding: 0;
    margin: 0;
}

#main_top {
    width: 100%;
    height: 0;
    padding-bottom: calc(800 / 1920 * 100%);
    position: relative;
    background: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/pc1920x800-20260224.jpg) no-repeat center;
    background-size: cover;
}

@media screen and (max-width: 767px) {
    #main_top {
        padding-bottom: calc(1025 / 700 * 100%);
        background: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/m700x1025-20260224.jpg) no-repeat center;
        background-size: cover;
    }
}

/*-------------------- 主視覺 END --------------------*/

/*-------------------- NAV --------------------*/

#sake_nav {
    position: sticky;
    top: 0;
    z-index: 999;
}

.nav_bar {
    display: block;
    position: relative;
    padding: 0;
    background: var(--main-cu);
    margin: -5px auto 0;
    overflow: hidden;
}

.nav_bar::before {
    content: "";
    display: inline-block;
    position: absolute;
    width: 80%;
    max-width: 630px;
    height: 30px;
    background-color: rgba(255, 255, 255, 0);
    -webkit-filter: blur(8px);
    /* Safari */
    filter: blur(8px);
    border-radius: 50%;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: var(--transition-com);
}

.nav_bar:hover::before {
    filter: blur(10px);
    width: 85%;
    max-width: 650px;
    background-color: rgba(255, 255, 255, 0.2);
    mix-blend-mode: screen;
}

.nav_bar ul.rowline {
    display: flex;
    justify-content: center;
    padding-inline-start: 0;
    margin-bottom: 0;
}

.nav_bar ul.rowline>li {
    position: relative;
    display: inline-block;
    text-align: center;
    padding: 0.5rem calc(var(--col-p) * 2);
    margin: 0;
    font-size: 1.125rem;
    letter-spacing: 0.2rem;
    color: #ffffff;
    transition: var(--transition-com);
}

.nav_bar ul.rowline>li>a {
    display: block;
    color: inherit;
    text-decoration: none;
    transition: var(--transition-com);
}

.nav_bar ul.rowline>li>a .material-symbols-outlined {
    margin-right: 0.25rem;
    font-size: 1.35em;
    vertical-align: sub;
    color: var(--light-gd);
    font-variation-settings:
        "FILL" 0,
        "wght" 300,
        "GRAD" 0,
        "opsz" 24;
}

.nav_bar ul.rowline>li:hover {
    transform: scale(1.03);
    text-shadow: 0 0 5px var(--light-gd), 0 0 3px rgba(255, 255, 255, 0.5);
}

@media screen and (max-width: 767px) {
    #sake_nav {
        position: relative;
        top: auto;
    }

    .nav_bar ul.rowline>li:not(:last-of-type) {
        display: block;
        width: 100%;
        padding: 0.35rem;
        font-size: 1rem;
        border-bottom: 1px solid transparent;
        border-image-source: linear-gradient(to right, var(--main-cu) 10%, #bda571, var(--main-cu) 90%);
        border-image-slice: 1;
    }
}

/*-------------------- NAV END --------------------*/

/*-------------------- 活動資訊_sake_intro --------------------*/
/* #sake_intro {
    padding-top: var(--spacing-lg);
} */
.event-info_text {
    position: relative;
    margin-top: calc(var(--col-p) * 3);
    z-index: 100;
}

.event-info_text p br {
    display: none;
}

@media screen and (min-width: 768px) {
    .event-info_text p br {
        display: block;
    }
}

.event-info_item {
    display: inline-block;
    margin-block-end: 0.5rem;
}

.event-info_item li {
    text-align: center;
}

.event-info_item li:nth-child(-n+2) {
    margin-bottom: 0.5rem;
}


.event-info_item li br {
    display: block;
}

@media screen and (min-width: 768px) {
    .event-info_item li br {
        display: none;
    }

    .event-info_item li {
        text-align: start;
    }
}

.event-info_item span {
    font-size: 0.9em;
    font-weight: 600;
    color: var(--light-gd);
    border: 1px solid var(--light-gd);
    padding: 0 1.5rem;
    margin-bottom: 6px;
    margin-right: 0.5rem;
    display: inline-block;
    text-align: center;
    border-radius: 1.25rem;
}

.event-info_focus {
    display: inline-block;

    li::before {
        content: "\f31d";
        font-family: "Material Symbols Outlined";
        font-size: 1.2em;
        margin-inline-end: 0.3rem;
        color: var(--light-gd);
        vertical-align: sub;
        transition: var(--transition-com);
        font-variation-settings:
            'FILL' 1,
            'wght' 200,
            'GRAD' 0,
            'opsz' 24
    }
}

#sake_Instructions .event-info_focus {

    li::before {
        content: "\f1e8";
    }
}

/*-------------------- 活動資訊_sake_intro_END --------------------*/

/*-------------------- 活動資訊_sake_intro_背景切換 --------------------*/

.bg-slider .slide {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    filter: brightness(0.35);
    background-size: cover;

    background-repeat: no-repeat;
    opacity: 0;
    animation: fadeSlide 21s infinite;
    mask:
        radial-gradient(ellipse at center, rgba(127, 127, 127, 1) 50%, rgba(0, 0, 0, 1) 100%);
    -webkit-mask:
        radial-gradient(ellipse at center, rgba(127, 127, 127, 1) 50%, rgba(0, 0, 0, 1) 100%);
    mask-composite: intersect;
    -webkit-mask-composite: source-in;
}

.bg-slider .slide1 {
    background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/bg-slider-01.jpg);
    background-position: center bottom;
    animation-delay: 0s;
}

.bg-slider .slide2 {
    background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/bg-slider-02.jpg);
    background-position: center;

    animation-delay: 7s;
}

.bg-slider .slide3 {
    background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/bg-slider-03.jpg);

    background-position: center top;
    animation-delay: 14s;
}

@keyframes fadeSlide {
    0% {
        opacity: 0;
    }

    10% {
        opacity: 1;
    }

    30% {
        opacity: 1;
    }

    40% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

/*-------------------- 活動資訊_sake_intro_背景切換_END --------------------*/

/*-------------------- 酒的背景特效 --------------------*/
.sake-event-bg {
    position: relative;
    overflow: hidden;
    background: linear-gradient(135deg, #0d1520 0%, #1a2942 25%, #2d4a6b 50%, #1a2942 75%, #0d1520 100%);
}

.sake-event-bg>section:not(:last-of-type) {
    padding-block-end: 0 !important;
}

.sake-canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block;
}

/*-------------------- 酒的背景特效 END --------------------*/

/*-------------------- 活動套票 sake-ticket-sec --------------------*/

.sake-ticket-sec {
    width: min(1200px, 100%);/* 原本是1750px */
    margin: 0 auto;
    justify-content: center;
    &.gift{
        width: min(1200px, 100%);
        border-radius: 0 calc(var(--b-round) * 2);
        border: 1px solid var(--main-cu);
        padding: var(--col-p);
        padding-block-end: 0;
    }
}

.pro-sec {
    position: relative;
    margin-bottom: calc(var(--col-p) * 2);
}

.pro-sec::after {
    content: "";
    position: absolute;
    display: block;
    top: 0;
    right: 0;
    transform: translate(25%, -45%);
    width: calc(160 / 315 * 100%);
    aspect-ratio: 264 / 115;
    background: url(https://event.cdn-eztravel.com.tw/events/mayday/prolight.png) no-repeat center/contain;
    mix-blend-mode: screen;
    opacity: 0;
    z-index: 1;
    transition: var(--transition-com);
}

.pro-sec:hover::after {
    opacity: 1;
}

.pro-sec .pro-box {
    --btn-h: 2.88rem;
    /*用按鈕高度自動計算padding-bottom*/
    color: var(--sub-txt);
    font-weight: 400;
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 0 calc(var(--b-round) * 2);
    overflow: hidden;
    text-align: start;
    transition: var(--transition-com);
    z-index: 100;
}

.pro-sec .pro-box .pro-info {
    padding: calc(var(--col-p) / 2) var(--col-p) calc(var(--btn-h) + 0.5rem);
    background: linear-gradient(135deg, var(--basic-txt) 20%, white 60%);

    &::after {
        content: "";
        display: block;
        max-height: 0;
        line-height: 0;
        width: 100%;
        clear: both;
    }
}

a.pro-box:is(:link, :visited, :hover, :active) {
    color: var(--sub-txt);
    text-decoration: none;
}

.pro-sec .pro-box .pro-pic {
    width: min(100%, 100%);
    margin: 0;
    position: relative;
    z-index: 100;
}

.pro-sec .pro-box h3 {
    position: relative;
    font-family: 'Noto Serif TC', serif;
    font-weight: 700;
    line-height: 1.4;
    letter-spacing: 0.05rem;
    color: var(--main-cu);
    z-index: 100;
}

.focus {
    margin-bottom:  calc( var(--btn-h) - 0.75rem);

    >li {
        margin-bottom: 0.15rem;
        font-size: 1.125rem;
        line-height: 1.25;

        &::before {
            content: "\e86c";
            font-family: "Material Symbols Outlined";
            font-size: 1.1em;
            margin-right: 0.2rem;
            vertical-align: middle;
            font-variation-settings:
                'FILL' 1,
                'wght' 300,
                'GRAD' 0,
                'opsz' 24
        }
    }
}

.price {
    position: absolute;
    color: var(--main-gd);
    white-space: nowrap;
    font-weight: 500;
    right: 0.5rem;
    bottom:  var(--btn-h);
    z-index: 100;
}

.price>b {
    font-weight: 700;
    letter-spacing: -0.015em;
    margin-right: 0.15rem;
    white-space: nowrap;
}

@property --gradient-1 {
    syntax: "<color>";
    inherits: false;
    initial-value: #876f5f;
}

@property --gradient-2 {
    syntax: "<color>";
    inherits: false;
    initial-value: #dfbf57;
}

@property --gradient-3 {
    syntax: "<color>";
    inherits: false;
    initial-value: #a88514;
}

.pro-sec .pro-box>.pro-btn {
    position: absolute;
    display: block;
    color: #fff;
    font-weight: 400;
    font-size: 1.125rem;
    left: 0;
    right: 0;
    top: auto;
    bottom: 0;
    width: 100%;
    height: var(--btn-h);
    background: linear-gradient(135deg, var(--gradient-1) 20%, var(--gradient-2) 65%, var(--gradient-3) 80%);
    border: none;
    line-height: var(--btn-h);
    transition:
        0.25s --gradient-1,
        0.25s --gradient-2,
        0.25s --gradient-3;

    &::after {
        content: "\e855";
        font-family: "Material Symbols Outlined";
        font-size: 150%;
        margin-left: 0.2rem;
        vertical-align: sub;
        transition: var(--transition-com);
        font-variation-settings:
            "FILL" 0,
            "wght" 200,
            "GRAD" -25,
            "opsz" 24;
    }
}

.pro-sec:hover .pro-box {
    .pro-info {
        background: white;
    }

    >.pro-btn {
        --gradient-1: var(--main-gd);
        --gradient-2: var(--main-cu);
        --gradient-3: var(--main-cu);
        color: #fff;
        text-shadow: 0 2px 5px rgba(0, 0, 0, 0.6);
    }
}

#mayday-airticket .pro-sec .pro-box>.pro-btn {
    background: linear-gradient(135deg, var(--gradient-1) 10%, var(--gradient-3) 80%);
}

/*-------------------- 活動套票 sake-ticket-sec END --------------------*/

/*-------------------- 活動代幣使用說明 #sake_Instructions --------------------*/

#sake_Instructions {}

.event-info_step {
    width: min(1500px, 100%);
    margin: 0 auto;
}

.step-box {
    position: relative;
    margin-block-end: calc(var(--col-p) * 3);

    &:not(:last-of-type)::before {
        content: '';
        position: absolute;
        display: inline-block;
        top: 50%;
        right: 0;
        transform: translate(50%, -50%);
        width: 0;
        height: 0;
        border-style: solid;
        border-width: calc(var(--col-p) * 0.75) 0 calc(var(--col-p) * 0.75) var(--col-p);
        border-color: transparent transparent transparent var(--main-gd);
    }
}

@media screen and (max-width: 767px) {
    .step-box {
        &:not(:last-of-type)::before {
            top: auto;
            bottom: 0;
            right: 50%;
            transform: translate(50%, 180%);
            width: 0;
            height: 0;
            border-style: solid;
            border-width: calc(var(--col-p) * 1.2) var(--col-p) 0 var(--col-p);
            border-color: var(--main-gd) transparent transparent transparent;
        }
    }
}

/*-------------------- 活動代幣使用說明 #sake_Instructions END --------------------*/

/*-------------------- 交通指南 #sake_trans --------------------*/

#sake_trans#sake_trans {
    background: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/bg-map.jpg) no-repeat center/cover;
    padding-block-start: calc(var(--content-p) / 2.5);
    padding-block-end: calc(var(--content-p) / 2.5);
}

.transport-guide_container {
    width: 100%;
    padding-left: calc(var(--bs-gutter-x) * .5);
    padding-right: calc(var(--bs-gutter-x) * .5);
}

.transport-guide_container h3 {
    font-family: 'Noto Serif TC', serif;
    color: var(--light-gd);
    font-weight: 500;
}

.transport-guide_container ul.sake_trans_list li {
    margin-inline-start: 1rem;
    list-style-type: disc;

    b {
        font-weight: 500;
        color: white;
    }
}

.transport-guide_container img {
    width: 100%;
}

.transport-guide_photo {
    position: relative;
    text-align: center;

    iframe {
        display: block;
        inset: 0;
        width: 95%;
        height: 480px;
        margin: 0 auto;
    }

}

.transport-guide_photo p {
    font-size: 0.89em;
    padding: 5px;
    /* border-radius: 50px; */
}

.transport-guide_photo a {
    color: var(--white);
}

.transport-guide_text span {
    color: #001e31;
    font-size: 1.5rem;
    background-color: var(--light-gd);
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 2.2rem;
    height: 2.2rem;
    vertical-align: middle;
    margin: 0 0.3rem;
    margin-top: -5px;
}

.transport-guide_text p {
    text-align: left;
}

.transport-guide_text br {
    display: block;
}

/*-------------------- 交通指南 #sake_trans_end --------------------*/

/*------------------- 參展酒造品牌 sake_brand --------------------*/

/* 輪播 */
swiper-container {
    width: 100%;
    height: 100%;
}

/* 輪播 end */
#sake_brand {
    --swiper-navigation-color:var(--light-cu);
    --swiper-theme-color:var(--light-cu);
    --swiper-pagination-color:var(--main-gd);
    --swiper-pagination-bullet-inactive-color:white;
    background: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/bg-cloud01.png) no-repeat left bottom / 50%, url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/bg-cloud02.png) no-repeat right bottom / 49%;
}

.sake-brand-sec {
    width: min(1500px, 100%);
    margin: 0 auto;

    >div {
        flex: 0 0 auto;
        width: 20%;
        padding-bottom: calc(clamp(8px, 1vw + 2px, 15px) * 2);
    }
}

@media screen and (max-width: 767px) {
    .sake-brand-sec {
        >div {
            flex: 0 0 auto;
            width: 33.33333333%;
            padding: 0 calc(clamp(8px, 1vw + 2px, 15px) * 0.5) calc(clamp(8px, 1vw + 2px, 15px) * 1) !important;
        }
    }
}

.sake-brand-box {
    position: relative;
    aspect-ratio: auto 1 / 1;
    background-color: #000;
    width: 100%;
}

.sake-brand-box .sake-brand-pic {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.5;

    &[data-brand='1大七-大七酒造'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/01.jpg);
    }

    &[data-brand='2鍋島-富久千代酒造'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/02.jpg);
    }

    &[data-brand='3紀土-平和酒造'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/03.jpg);
    }

    &[data-brand='4山本-山本酒造店'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/04.jpg);
    }

    &[data-brand='5楯野川-楯の川酒造'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/05.jpg);
    }

    &[data-brand='6常山-常山酒造合資会社'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/06.jpg);
    }

    &[data-brand='7鶯屋-株式会社酒のかまくら'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/07.jpg);
    }

    &[data-brand='8越乃寒梅-石本酒造株式会社'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/08.jpg);
    }

    &[data-brand='9奧-山崎合資会社'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/09.jpg);
    }

    &[data-brand='10月之井-株式会社月の井酒造店'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/10.jpg);
    }

    &[data-brand='11東洋美人-澄川酒造場'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/11.jpg);
    }

    &[data-brand='12_haccoba-haccoba Craft Sake Brewery'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/12.jpg);
    }

    &[data-brand='13_田酒-西田酒造店'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/13.jpg);
    }

    &[data-brand='14_春霞-栗林酒造店'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/14.jpg);
    }

    &[data-brand='15_雪之美人-秋田釀造株式會社'] {
        background-image: url(https://event.cdn-eztravel.com.tw/events/2026_sakeunion/sake-brand-pic/15.jpg);
    }
}

.sake-brand-box .sake-brand-logo {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    align-content: center;

    >img {
        margin: auto;
        max-width: 75%;
        max-height: 75%;
    }
}

/*-------------------- 參展酒造品牌 sake_brand_END --------------------*/

#btn_app {
    position: fixed;
    right: 5px;
    bottom: calc(60px + 95px + 5px);
    z-index: 999;
}

#btn_top {
    position: fixed;
    right: 5px;
    z-index: 999;
}

@media screen and (max-width: 767px) {
    #note .contentbox>ul {
        width: 95%;
    }

    #btn_top,
    #btn_app {
        right: 0;
    }
}

/* 警語 */

.warning {
    background-color: #4c4c4c;
    font-family: 'Noto Serif TC', serif;
    font-weight: 100;
    color: white;
    text-align: justify;
    text-align-last: justify;
    line-height: 1.5;
    padding: var(--col-p) calc(var(--col-p) * 2);
}